[Prev: USELOCALTIME] | [Resources][TOC] | [Next: VARREGEX]

# USINGLASTPG

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_USINGLASTPG=` [ `0` | `1` ]

Element(s)

  `<USINGLASTPG>`
  `<NOUSINGLASTPG>`

Command-line Option(s)

  N/A

## Description

USINGLASTPG is a boolean resource to tell MHonArc if the $LASTPG$ resource variable is in use.

The usage of this resource is only applicable if MULTIPG is set. By default, MHonArc will regenerate all pages of a multi-page index if a new page gets added to the archive. This is done to insure that any links to the last page of the index (via $PG(LAST)$) gets updated.

If you want to save processing time, and you know you are not using $LASTPG$ in any resource (or have a helper CGI program to link to the last page), set USINGLASTPG to 0. Any new page added will only cause the new page and previous page to be written/updated, assuming that added messages always appear at the end of message listings. MHonArc will still update relevant index pages if message listing order dictates such an action.

## Default Setting

1

## Resource Variables

N/A

## Examples

None.

## Version

2.1.2

## See Also

MULTIPG

[Prev: USELOCALTIME] | [Resources][TOC] | [Next: VARREGEX]